﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Forms;
using System.Windows.Automation;
using System.Windows.Automation.Text;

namespace ConsoleApplication2
{
    class Program
    {
        static Point MousePos
        {
            get
            {
                var pos = Control.MousePosition;
                return new Point(pos.X, pos.Y);
            }
        }


        static void Main(string[] args)
        {
            for (; ; )
            {
                AutomationElement e = AutomationElement.FromPoint(MousePos);
                if (e != null)
                {
                    object o;
                    if (e.TryGetCurrentPattern(TextPattern.Pattern, out o))
                    {
                        var textPattern = (TextPattern)o;
                        try
                        {
                            var range = textPattern.RangeFromPoint(MousePos);
                            range.ExpandToEnclosingUnit(System.Windows.Automation.Text.TextUnit.Word);
                            Console.WriteLine(range.GetText(-1));
                        }
                        catch (ArgumentException) { }
                    }
                }
                System.Threading.Thread.Sleep(1000);
            }
        }
    }
}
